<?php 
$wp_customize->add_section('pricing_area',array('title' => __( 'Pricing Section', 'luzuk' ),'panel' => 'luzuk_premium_home_panel'));
$wp_customize->add_setting('pricing_area_disable',array('sanitize_callback' => 'luzuk_sanitize_text',));
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'pricing_area_disable',
        array(
            'settings' => 'pricing_area_disable',
            'section' => 'pricing_area',
            'label' => __( 'Disable Section', 'luzuk' ),
            'on_off_label'  => array('on' => __( 'Yes', 'luzuk' ), 'off' => __( 'No', 'luzuk' )),
        )
    )
); 

backgroundManager($wp_customize, 'pricingsec', 'pricing_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'pricing_areapadding', 'pricing_area', 'Section Padding');

$wp_customize->add_setting(
    'pricing_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk' )
    )
);
$wp_customize->add_control(
    'pricing_areaTpadding',
    array(
        'settings'      => 'pricing_areaTpadding',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk' )
    )
);
$wp_customize->add_setting(
    'pricing_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk' )
    )
);
$wp_customize->add_control(
    'pricing_areaBpadding',
    array(
        'settings'      => 'pricing_areaBpadding',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk' )
    )
);

lzCustomLable($wp_customize, 'pricing_areaheading', 'pricing_area', 'Section Heading & Sub Heading');

$wp_customize->add_setting('pricing_page_maintitle',array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'Pricing Packages', 'luzuk' )));
$wp_customize->add_control(
    'pricing_page_maintitle',
    array(
        'settings'      => 'pricing_page_maintitle',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'pricingarea_sectitle_color', 'pricing_area', 'Section Heading Color ', '#052C54');


$wp_customize->add_setting('pricing_page_text',array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'Choose Your Best Plan', 'luzuk' )));
$wp_customize->add_control(
    'pricing_page_text',
    array(
        'settings'      => 'pricing_page_text',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'pricingarea_subheading_clr', 'pricing_area', 'Section Sub Heading Color ', '#007FFF');


$wp_customize->add_setting('pricing_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'pricing_npp_heading',
        array(
            'settings'      => 'pricing_npp_heading',
            'section'       => 'pricing_area',
            'label'         => __( 'Pricing Planes To Show', 'luzuk' ),
        )
    )
);    

$wp_customize->add_setting('pricing_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'pricing_npp_count',
    array(
        'settings'      => 'pricing_npp_count',
        'section'       => 'pricing_area',
        'type'          => 'select',
        'label'         => __( 'Number Of Plan To Show', 'luzuk' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

for($i=1;$i<=6;$i++){
    $wp_customize->add_setting('pricing_plan_heading_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text'));
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'pricing_plan_heading_'.$i,
            array(
                'settings' => 'pricing_plan_heading_'.$i,
                'section' => 'pricing_area',
                'label' => __( 'Pricing Plan '.$i, 'luzuk' ),
            )
        )
    ); 


$wp_customize->add_setting('pricing_plan_name_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'STANDARD', 'luzuk' )));

$wp_customize->add_control(
    'pricing_plan_name_'.$i,
    array(
        'settings' => 'pricing_plan_name_'.$i,
        'section' => 'pricing_area',
        'type' => 'text',
        'label' => __( 'Add Plan Name Here ', 'luzuk' )
    )
);


// $wp_customize->add_setting('pricing_plan_unit_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '$', 'luzuk' )));
// $wp_customize->add_control(
//     'pricing_plan_unit_'.$i,
//     array(
//         'settings' => 'pricing_plan_unit_'.$i,
//         'section' => 'pricing_area',
//         'type' => 'text',
//         'label' => __( 'Add Plan Unit Here:', 'luzuk' )
//     )
// );

$wp_customize->add_setting('pricing_plan_price_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '#29.99', 'luzuk' )));
$wp_customize->add_control(
    'pricing_plan_price_'.$i,
    array(
        'settings' => 'pricing_plan_price_'.$i,
        'section' => 'pricing_area',
        'type' => 'text',
        'label' => __( 'Add Plan Price Here ', 'luzuk' )
    )
);

$wp_customize->add_setting('pricing_plan_month_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'PER MONTH', 'luzuk' )));
$wp_customize->add_control(
    'pricing_plan_month_'.$i,
    array(
        'settings' => 'pricing_plan_month_'.$i,
        'section' => 'pricing_area',
        'type' => 'text',
        'label' => __( 'Add Month Here ', 'luzuk' )
    )
);
         $wp_customize->add_setting('pricing_plan_content_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '  
<li>Save 20% over monthly billing</li>
<li>No credit card required</li>
<li>Unlimited products</li>
<li>Unlimited products</li>
<li>Unlimited updates</li>', 'luzuk' )));
        $wp_customize->add_control(
            'pricing_plan_content_'.$i,
            array(
                'settings' => 'pricing_plan_content_'.$i,
                'section' => 'pricing_area',
                'type' => 'textarea',
                'label' => __( 'Add Pricing Plan Content Here ', 'luzuk' )
            )
        );

    /*code for button text*/
$wp_customize->add_setting(
    'pricing_page_button_title_'.$i,
    array(
        'sanitize_callback'=>'luzuk_sanitize_text',
        'default'=> __('Choose Us', 'luzuk')
    )
);
$wp_customize->add_control(
    'pricing_page_button_title_'.$i,
    array(
        'settings' =>'pricing_page_button_title_'.$i,
        'section' => 'pricing_area',
        'type'=> 'text',
        'label'=> __('Add Button Text Here ', 'luzuk')
    )
);

lzAddElement($wp_customize, 'pricing_plan_url_'.$i, 'pricing_area', $type = 'text', $label="Add Link Here", $callback ='esc_url', $default='#');

    }


lzCustomLable($wp_customize, 'pricing_areacolor', 'pricing_area', 'Section Color');

addColorPalatOption($wp_customize, 'pricingarea_PlanbxbgClr', 'pricing_area', 'Plan Box BG Color ', '#fff');

//addColorPalatOption($wp_customize, 'pricingarea_PlanbxbghvClr', 'pricing_area', 'Plan Box BG Hover Color 1', '#0575E6');

//addColorPalatOption($wp_customize, 'pricingarea_PlanbxbghvClr2', 'pricing_area', 'Plan Box BG Hover Color 2', '#021B79');

addColorPalatOption($wp_customize, 'pricingarea_PlanNameColor', 'pricing_area', 'Plan Name Color ', '#052C54');

addColorPalatOption($wp_customize, 'pricingarea_PlanNamebrdClr', 'pricing_area', 'Plan Name Border Color ', '#2E8BE9');

addColorPalatOption($wp_customize, 'pricingarea_Planprice_color', 'pricing_area', 'Plan Price Color ', '#fff');

addColorPalatOption($wp_customize, 'pricingarea_Planprice_clr1', 'pricing_area', 'Plan Price BG Color 1', '#2E8BE9');

addColorPalatOption($wp_customize, 'pricingarea_Planprice_clr2', 'pricing_area', 'Plan Price BG Color 2', '#033A9E');

addColorPalatOption($wp_customize, 'pricingarea_PlanContentColor', 'pricing_area', 'Plan Month Color ', '#2E8BE9');

addColorPalatOption($wp_customize, 'pricingarea_PlanContbrdClr', 'pricing_area', 'Plan Month Border Color ', '#2E8BE9');

addColorPalatOption($wp_customize, 'price_ContentliicnClr', 'pricing_area', 'Plan Content List Icon Color 1', '#2E8BE9');

addColorPalatOption($wp_customize, 'price_ConliicnClr2', 'pricing_area', 'Plan Content List Icon Color 2', '#033A9E');

addColorPalatOption($wp_customize, 'pricing_PlanConiClr', 'pricing_area', 'Plan Content List Color ', '#052C54');

addColorPalatOption($wp_customize, 'pric_PlanConlibrdClr', 'pricing_area', 'Plan Content List Border Color ', '#2E8BE9');

addColorPalatOption($wp_customize, 'pricing_ButtontextColor', 'pricing_area', 'Plan Button Text Color ', '#fff');

addColorPalatOption($wp_customize, 'pricing_ButtontexthvClr', 'pricing_area', 'Plan Button Text Hover Color ', '#fff');

addColorPalatOption($wp_customize, 'pricing_ButtonbgColor', 'pricing_area', 'Plan Button BG Color 1', '#033A9E');

addColorPalatOption($wp_customize, 'pricing_ButtonbgClr2', 'pricing_area', 'Plan Button BG Color 2', '#2E8BE9');

addColorPalatOption($wp_customize, 'pricing_arrbtnicn', 'pricing_area', 'Arrow Button Icon Color ', '#000');

addColorPalatOption($wp_customize, 'pricing_arrbtnicnbg', 'pricing_area', 'Arrow Button Icon BG Color ', '#fff');

addColorPalatOption($wp_customize, 'pricing_arrbtnbg1', 'pricing_area', 'Arrow Button BG Color 1', '#033A9E');

addColorPalatOption($wp_customize, 'pricing_arrbtnbg2', 'pricing_area', 'Arrow Button BG Color 2', '#2E8BE9');


lzCustomLable($wp_customize, 'pricing_area2ndclr', 'pricing_area', 'Section 2nd Plan & Hover Color');

addColorPalatOption($wp_customize, 'pricingarea_PlanbxbgClr1', 'pricing_area', 'Plan Box BG Color 1', '#0575E6');

addColorPalatOption($wp_customize, 'pricingarea_PlanbxbgClr2', 'pricing_area', 'Plan Box BG Color 2', '#021B79');

addColorPalatOption($wp_customize, 'pricingarea_PlanNameClrhv', 'pricing_area', 'Plan Name Color ', '#fff');

addColorPalatOption($wp_customize, 'pricingarea_PlanNamebrdClrhv', 'pricing_area', 'Plan Name Border Color ', '#fff');

addColorPalatOption($wp_customize, 'pricingarea_Planpriceclrhv', 'pricing_area', 'Plan Price Color ', '#052C54');

addColorPalatOption($wp_customize, 'pricingarea_Planpriceclrbghv', 'pricing_area', 'Plan Price BG Color', '#fff');

addColorPalatOption($wp_customize, 'pricingarea_PlanContentClrhv', 'pricing_area', 'Plan Month Color ', '#fff');

addColorPalatOption($wp_customize, 'pricingarea_PlanContbrdClrhv', 'pricing_area', 'Plan Month Border Color ', '#fff');

addColorPalatOption($wp_customize, 'price_ContentliicnClrhv', 'pricing_area', 'Plan Content List Icon Color', '#fff');

addColorPalatOption($wp_customize, 'pricing_PlanConiClrhv', 'pricing_area', 'Plan Content List Color ', '#fff');

addColorPalatOption($wp_customize, 'pricing_arrbtnicnhv', 'pricing_area', 'Arrow Button Icon Color ', '#fff');

addColorPalatOption($wp_customize, 'pricing_arrbtnicnbghv1', 'pricing_area', 'Arrow Button Icon BG Color 1', '#0575E6');

addColorPalatOption($wp_customize, 'pricing_arrbtnicnbghv2', 'pricing_area', 'Arrow Button Icon BG Color 2', '#021B79');

addColorPalatOption($wp_customize, 'pricing_arrbtnbg1hv', 'pricing_area', 'Arrow Button BG Color', '#fff');